| Wheelchair Control MCU firmware

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- e
- i
- k
- l
- m
- o
- p
- r
- s
- t
- u
- v
- x
- y

All Data Structures Files Functions Variables Enumerations Groups Pages

### - a -

- ActualRPML : t_ISRsSharedStruct
- ActualRPMR : t_ISRsSharedStruct

### - b -

- BufferOdoL : t_ISRsSharedStruct
- BufferOdoR : t_ISRsSharedStruct
- BufferSpeedL : t_ISRsSharedStruct
- BufferSpeedR : t_ISRsSharedStruct

### - c -

- CircumL : t_ConfigStruct
- CircumR : t_ConfigStruct

### - e -

- EnablePositionRegulator : t_ISRsSharedStruct
- EnableSpRegL : t_ISRsSharedStruct
- EnableSpRegR : t_ISRsSharedStruct
- EnableWallFollowing : t_ISRsSharedStruct

### - i -

- ImpPerRoundL : t_ConfigStruct
- ImpPerRoundR : t_ConfigStruct

### - k -

- Kd : t_ConfigStruct
- Kfi : t_ISRsSharedStruct
- Ki : t_ConfigStruct
- Kp : t_ConfigStruct
- Ksi : t_ConfigStruct
- Ky : t_ISRsSharedStruct

### - l -

- L : t_ConfigStruct
- LeftWheelIncrement : t_ConfigStruct

### - m -

- MaxAcc : t_ConfigStruct
- MomSpeedL : t_ISRsSharedStruct
- MomSpeedR : t_ISRsSharedStruct

### - o -

- Omega0 : t_ConfigStruct
- OmegaThresh : t_ConfigStruct

### - p -

- Phi : t_ISRsSharedStruct

### - r -

- RegAngleGain : t_ConfigStruct
- RegEpsilon : t_ConfigStruct
- RegErrorFilter : t_ConfigStruct
- RegGamma : t_ConfigStruct
- RegIntegratorL : t_ISRsSharedStruct
- RegIntegratorR : t_ISRsSharedStruct
- RegPositionGain : t_ConfigStruct
- RegSpeed : t_ConfigStruct
- RegulateAngleOnly : t_ISRsSharedStruct
- RightWheelIncrement : t_ConfigStruct

### - s -

- SRF08_DistanceFront : t_ISRsSharedStruct
- SRF08_DistanceRear : t_ISRsSharedStruct
- SRF08_Front : t_ConfigStruct
- SRF08_Rear : t_ConfigStruct
- SRF08_RearCorrection : t_ConfigStruct
- SRF08_SafetyFirst : t_ConfigStruct
- SRF08_SafetySecond : t_ConfigStruct

### - t -

- Timer0Prescaler : t_ISRsSharedStruct
- TotalImpulsesL : t_ISRsSharedStruct
- TotalImpulsesR : t_ISRsSharedStruct
- Track : t_ConfigStruct

### - u -

- UARTRxIndex : t_ISRsSharedStruct
- UARTWatchdog : t_ISRsSharedStruct

### - v -

- V_des : t_ISRsSharedStruct

### - x -

- X : t_ISRsSharedStruct
- Xdes : t_ISRsSharedStruct

### - y -

- Y : t_ISRsSharedStruct
- y0_des : t_ISRsSharedStruct
- Ydes : t_ISRsSharedStruct